(function( $ ) {
	wp.customize.bind( 'ready', function() {

		var optPrefix = '#customize-control-water_delivery_services_options-';
		
		// Label
		function water_delivery_services_customizer_label( id, title ) {

			// Site Identity

			if ( id === 'custom_logo' || id === 'site_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Global Color Setting

			if ( id === 'water_delivery_services_global_color' || id === 'water_delivery_services_heading_color' || id === 'water_delivery_services_paragraph_color') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// General Setting

			if ( id === 'water_delivery_services_scroll_hide' || id === 'water_delivery_services_sticky_header' || id === 'water_delivery_services_preloader_hide' || id === 'water_delivery_services_first_color' || id === 'water_delivery_services_products_per_row' || id === 'water_delivery_services_scroll_top_position' || id === 'water_delivery_services_products_per_row' || id === 'water_delivery_services_width_option' )  {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Colors

			if ( id === 'water_delivery_services_theme_color' || id === 'background_color' || id === 'background_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Header Image

			if ( id === 'header_image' || id === 'water_delivery_services_post_layout' || id === 'water_delivery_services_404_page_main_heading' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Social Icon

			if ( id === 'water_delivery_services_facebook_icon' || id === 'water_delivery_services_twitter_icon' || id === 'water_delivery_services_intagram_icon'|| id === 'water_delivery_services_linkedin_icon'|| id === 'water_delivery_services_pintrest_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			//  Header

			if ( id === 'water_delivery_services_topbar_email_id' || id === 'water_delivery_services_topbar_phone_number' || id === 'water_delivery_services_header_search_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}


			// Slider

			if ( id === 'water_delivery_services_slider_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Products

			if ( id === 'water_delivery_services_activities_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Footer

			if ( id === 'water_delivery_services_footer_widget_content_alignment' || id === 'water_delivery_services_show_hide_copyright') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Post Settings

			if ( id === 'water_delivery_services_post_page_title' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Single Post Settings

			if ( id === 'water_delivery_services_single_post_thumb' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-water_delivery_services_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}
			
		}

	    // Site Identity
		water_delivery_services_customizer_label( 'custom_logo', 'Logo Setup' );
		water_delivery_services_customizer_label( 'site_icon', 'Favicon' );

		// Global Color Setting
		water_delivery_services_customizer_label( 'water_delivery_services_global_color', 'Global Color' );
		water_delivery_services_customizer_label( 'water_delivery_services_heading_color', 'Heading Typography' );
		water_delivery_services_customizer_label( 'water_delivery_services_paragraph_color', 'Paragraph Typography' );

		// General Setting
		water_delivery_services_customizer_label( 'water_delivery_services_preloader_hide', 'Preloader' );
		water_delivery_services_customizer_label( 'water_delivery_services_scroll_hide', 'Scroll To Top' );
		water_delivery_services_customizer_label( 'water_delivery_services_first_color', 'First Color' );
		water_delivery_services_customizer_label( 'water_delivery_services_sticky_header', 'Sticky Header' );
		water_delivery_services_customizer_label( 'water_delivery_services_scroll_top_position', 'Scroll to top Position' );
		water_delivery_services_customizer_label( 'water_delivery_services_products_per_row', 'woocommerce Setting' );
		water_delivery_services_customizer_label( 'water_delivery_services_width_option', 'Site Width Layouts' );

		// Colors
		water_delivery_services_customizer_label( 'water_delivery_services_theme_color', 'Theme Color' );
		water_delivery_services_customizer_label( 'background_color', 'Colors' );
		water_delivery_services_customizer_label( 'background_image', 'Image' );

		//Header Image
		water_delivery_services_customizer_label( 'header_image', 'Header Image' );

		water_delivery_services_customizer_label( 'water_delivery_services_post_layout', 'Post Layouts Settings' );

		water_delivery_services_customizer_label( 'water_delivery_services_404_page_main_heading', '404 Page Settings' );

		// Social Icon
		water_delivery_services_customizer_label( 'water_delivery_services_facebook_icon', 'Facebook' );
		water_delivery_services_customizer_label( 'water_delivery_services_twitter_icon', 'Twitter' );
		water_delivery_services_customizer_label( 'water_delivery_services_intagram_icon', 'Intagram' );
		water_delivery_services_customizer_label( 'water_delivery_services_linkedin_icon', 'Linkedin' );
		water_delivery_services_customizer_label( 'water_delivery_services_pintrest_icon', 'Pintrest' );

		// Header
		water_delivery_services_customizer_label( 'water_delivery_services_topbar_email_id', 'Email Id' );
		water_delivery_services_customizer_label( 'water_delivery_services_topbar_phone_number', 'Phone Number' );
		water_delivery_services_customizer_label( 'water_delivery_services_header_search_setting', 'Search' );

		//Slider
		water_delivery_services_customizer_label( 'water_delivery_services_slider_section_setting', 'Slider' );

		//Products
		water_delivery_services_customizer_label( 'water_delivery_services_activities_section_setting', 'Products' );

		//Footer
		water_delivery_services_customizer_label( 'water_delivery_services_footer_widget_content_alignment', 'Footer' );
		water_delivery_services_customizer_label( 'water_delivery_services_show_hide_copyright', 'Copyright' );

		//Post setting
		water_delivery_services_customizer_label( 'water_delivery_services_post_page_title', 'Post Settings' );

		//Single post setting
		water_delivery_services_customizer_label( 'water_delivery_services_single_post_thumb', 'Single Post Settings' );
	

	});

})( jQuery );
